server.port=8765


spring.application.name=gateway

eureka.client.service-url.defaultZone=http://localhost:8761/eureka

logging.pattern.console=%C{1.} [%-5level] %d[HH:mm:ss] = %msg%n

spring.cloud.gateway.discovery.locator.enabled=true
spring.cloud.gateway.discovery.locator.lower-case-service-id=true

spring.thymeleaf.prefix=classpath:/templates/

spring.cloud.gateway.routes[0].id=registration
spring.cloud.gateway.routes[0].uri.=lb://registration
spring.cloud.gateway.routes[0].predicates[0]=Path=/users/registration
spring.cloud.gateway.routes[0].predicates[1]=Method=GET

spring.cloud.gateway.routes[1].id=registration
spring.cloud.gateway.routes[1].uri.=lb://registration
spring.cloud.gateway.routes[1].predicates[0]=Path=/users/registration
spring.cloud.gateway.routes[1].predicates[1]=Method=POST
#
#spring.cloud.gateway.routes[1].id=name
#spring.cloud.gateway.routes[1].uri.=lb://designer
#spring.cloud.gateway.routes[1].predicates[0]=Path=/new/name
#spring.cloud.gateway.routes[1].predicates[1]=Method=GET
